Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# _EventQueue Struct Reference

## Data Fields
HWEventQueueType | head
HWEventQueueType | tail
CARD32 | lastEventTime
Bool | lastMotion
EventRec | events [QUEUE_SIZE]
DevicePtr | pPtr
ScreenPtr | pEnqueueScreen
ScreenPtr | pDequeueScreen

## Detailed Description

Event queue.

## Field Documentation

EventRec _EventQueue::events[QUEUE_SIZE]

| Static allocation for signals.

HWEventQueueType _EventQueue::head

| Queue head; must be long for SetInputCheck.

CARD32 _EventQueue::lastEventTime

| To avoid time running backwards.

Bool _EventQueue::lastMotion

| True if last event was motion.

ScreenPtr _EventQueue::pDequeueScreen

| Screen events are dispatched to.

ScreenPtr _EventQueue::pEnqueueScreen

| Screen events are delivered to.

DevicePtr _EventQueue::pPtr

| Device pointers (to get funcs)

HWEventQueueType _EventQueue::tail

| Queue tail; must be long for SetInputCheck.

The documentation for this struct was generated from the following file:

- dmxeq.c